#include <Windows.h>

#include "../utils/console/console.hpp"

void Initialize( );

BOOL WINAPI DllMain(HINSTANCE hinstDLL, DWORD fdwReason, LPVOID lpvReserved)
{

	if (fdwReason == DLL_PROCESS_ATTACH)
	{
		DisableThreadLibraryCalls(hinstDLL);

		//console::Initialize( );

		HANDLE hThread = CreateThread(
			NULL, 0, reinterpret_cast<LPTHREAD_START_ROUTINE>(Initialize),
			NULL, 0, NULL);
		if (hThread != NULL)
		{
			CloseHandle(hThread);
		}
	}

	return TRUE;
}
